CREATE TABLE MUSICBOX_ALBUMS (
  ID BIGINT PRIMARY KEY AUTO_INCREMENT NOT NULL ,
  ALBUM_NAME VARCHAR(255) NOT NULL
);

CREATE TABLE MUSICBOX_TRACKS (
  ID BIGINT PRIMARY KEY AUTO_INCREMENT NOT NULL ,
  ALBUM_ID BIGINT NOT NULL ,
  TRACK_NAME VARCHAR(255) NOT NULL ,
  FOREIGN KEY (ALBUM_ID) REFERENCES MUSICBOX_ALBUMS(ID)
);

CREATE TABLE MUSICBOX_USERS (
  ID BIGINT PRIMARY KEY AUTO_INCREMENT NOT NULL ,
  USER_LOGIN VARCHAR(255) NOT NULL ,
  USER_PASSWORD VARCHAR(255) NOT NULL
);

CREATE TABLE MUSICBOX_LIKES (
  USER_ID BIGINT NOT NULL ,
  TRACK_ID BIGINT NOT NULL ,
  PRIMARY KEY (USER_ID, TRACK_ID),
  FOREIGN KEY (USER_ID) REFERENCES MUSICBOX_USERS(ID),
  FOREIGN KEY (TRACK_ID) REFERENCES MUSICBOX_TRACKS(ID)
);

